Page MenuHomePhabricator

Regression: MainPage margins are off
Closed, ResolvedPublic

Description

Ensure you are anon and in stable, visit https://en.m.wikipedia.beta.wmflabs.org/wiki/Main_Page


Notice the additional padding at the bottom of the header and the lack of margin on the content

This code is live on https://m.mediawiki.org/wiki/MediaWiki and will soon be live on English Wikipedia
This only impacts the main page

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 12 2016, 6:53 PM

It appears to be related to the new footer. A git bisect shows the issue was introduced in I1199dd3bd4d0ea23687abcf0c763b61e699f0651

Change 315565 had a related patch set uploaded (by Jdlrobson):
Avoid margin collapsing

https://gerrit.wikimedia.org/r/315565

@Nirzar today is the last day we can stop this going to production. I am happy to deploy this today if you do. Otherwise the bug will be present till at the very earliest Monday. Please let me know if you consider this a big problem. cc @bmansurov

Thought about it a lot. i think we can live with for couple of days.

ovasileva triaged this task as High priority.Oct 13 2016, 8:23 PM
ovasileva moved this task from Incoming to 2016-17 Q2 on the Readers-Web-Backlog board.

Change 315565 merged by jenkins-bot:
Avoid margin collapsing

https://gerrit.wikimedia.org/r/315565

bmansurov closed this task as Resolved.Oct 14 2016, 9:22 PM